use serde::{Deserialize, Serialize};

mod store;
mod account;
mod cash;

pub use store::Store;
pub use account::Account;
pub use cash::Cash;

#[derive(Clone, Debug, Serialize, Deserialize)]
pub struct VoucherType {
	pub store: Store,
	pub value: i64,
}

#[derive(Clone, Debug, Serialize, Deserialize)]
pub struct Inventory {
	pub acc: Account,
	pub cash: Cash,
	pub vouchers: Vec<(VoucherType, i64)>,
}
